package com.example.trial.profile.process;

import java.util.List;
import java.util.Optional;

import org.springframework.data.repository.CrudRepository;

public interface ProfileRepository extends CrudRepository<Profile, Long> {

	Optional<Profile> findByFirstname(String firstname);
	Optional<Profile> findById(Long id);
	List<Profile> findByAge(int age);
	List<Profile> findByGenderAndPet(String gender, String pet);
}